%% DefineSL.m
%
% SEE: phantom
%
% Matthieu Guerquin-Kern, Biomedical Imaging Group / EPF Lausanne,
% 30-10-2009 (dd-mm-yyyy)

FOV = [1,1]; % be carefull these values change the shape of the phantom
%   This head phantom is the same as the Shepp-Logan except
%   the intensities are changed to yield higher contrast in
%   the image.  Taken from Toft, 199-200.
%
%         A    a     b    x0    y0    phi
%        ---------------------------------
shep = [  1   .69   .92    0     0     0
        -.8  .6624 .8740   0  -.0184   0
        -.2  .1100 .3100  .22    0    -18
        -.2  .1600 .4100 -.22    0     18
         .1  .2100 .2500   0    .35    0
         .1  .0460 .0460   0    .1     0
         .1  .0460 .0460   0   -.1     0
         .1  .0460 .0230 -.08  -.605   0
         .1  .0230 .0230   0   -.606   0
         .1  .0230 .0460  .06  -.605   0   ];

SL = cell(1,size(shep,1));
for i = 1:size(shep,1)
    SL{i}.type = 'ellipse';
    SL{i}.FOV = FOV;
    SL{i}.center = [-shep(i,5),shep(i,4)].*FOV/2;
    SL{i}.angle = shep(i,end)*pi/180;
    SL{i}.amp = shep(i,1);
    SL{i}.width = [shep(i,[3,2])].*FOV;
end
clear shep i;