%% G.m
%
% Function that computes the MRI response of a centered circle.
%
% Matthieu Guerquin-Kern, Biomedical Imaging Group / EPF Lausanne,
% 19-09-2009 (dd-mm-yyyy)

function val = G(n,z)

warning('OFF','all');
ind_small   = find(abs(z)<1e-8);
val = besselj(n,z)./(z).^n;
%val = mfun('BesselJ',n,z)./(z).^n; %->SLOW
val(ind_small) = 2^(-n)/factorial(n)*(1-(z(ind_small)/2).^2/(n+1));
warning('ON','all');