%% MRData.m
%
% Function that returns the MR data corresponding to the given phantom that
% is modulated by a polynomial profile, for the given kspace samples.
%
% Matthieu Guerquin-Kern, Biomedical Imaging Group / EPF Lausanne,
% 31-10-2009 (dd-mm-yyyy)

function m = MRData(phantom,s,k)

m = zeros(1,size(k,2));
for p = 1:length(phantom)
    element = phantom{p};
    switch element.type
        case {'ellipse'}
            m = m + MRDataEllipse(element,s,k);
        otherwise
            error('this kind of phantom is unknown');
    end
end