%% ReconsFromFullCartesianKspace.m
%
% Reconstruc in space MR data that where acquired on a full Cartesian
% kspace grid.
%
% Matthieu Guerquin-Kern, Biomedical Imaging Group / EPF Lausanne,
% 31-10-2009 (dd-mm-yyyy)

function im = ReconsFromFullCartesianKspace(m,k,FOV)

res = ceil(2*FOV(:).*max(abs(k),[],2))';

im = zeros(res);
idx1 = mod(round(-FOV(1)*k(1,:)),res(1))+1;
idx2 = mod(round(-FOV(2)*k(2,:)),res(2))+1;
ind = sub2ind(res,idx1,idx2);
im(ind) = m;%imagesc(log10(abs(im)));pause
im = fftshift(ifftn(im))*prod(res);