% This is a Make file for mex files located anywhere in the path.
% You should put this file in the folder of the sources.
%
% Matthieu Guerquin-Kern, Biomedical Imaging Group - EPFL, 2008-04-09

warning('OFF','all');
basepath = pwd;
c_path = which('make');
c_path = c_path(1:strfind(c_path,'make')-1);
cd(c_path);

ext = {'.cpp' '.c'};
archstr = computer('arch');

for i=1:length(ext)
    list = dir(pwd);
    for j = 1:length(list)
        if strfind(list(j).name,ext{i})+length(ext{i})+1==length(list(j).name)
            disp(['compiling ' list(j).name ' for the architecture ' archstr]);
            mex(['arch=' archstr ' '],list(j).name);
        end
    end
end
cd(basepath);
clear i j ext list c_path basepath archstr;
warning('ON','all');